/*							-- DO NOT EDIT --
 * Generated by smidump version 0.4.8:
 *   smidump -f scli \
 *     --scli-include='atmInterfaceConfEntry' ATM-MIB
 *
 * Derived from ATM-MIB:
 *   This is the MIB Module for ATM and AAL5-related
 *   objects for managing ATM interfaces, ATM virtual
 *   links, ATM cross-connects, AAL5 entities, and
 *   and AAL5 connections.
 *
 * Revision 1998-10-19 12:00:
 *   The initial revision of this module was published
 *   as RFC 1695. Key revisions include:
 *   o  Textual Conventions and OBJECT IDENTITIES have
 *      been moved to a separate MIB module.
 *   o  Applicability of objects to PVCs, SVCs and Soft
 *      PVCs has been clarified.
 *   o  DEFVAL clauses have been added.
 *   o  The relationship of ifIndex values with different
 *      layers and sublayers related to ATM has been
 *      clarified.
 *   o  atmTrafficQosClass has been deprecated
 *      and replaced with atmServiceCategory.
 *   o  atmInterfaceCurrentMaxVpiBits and
 *      atmInterfaceCurrentMaxVciBits have been added with
 *      a description on their relationship with other
 *      objects.
 *   o  atmInterfaceAddressType and atmInterfaceAdminAddress
 *      have been deprecated and replaced by
 *      atmInterfaceSubscrAddress.
 *   o  atmInterfaceTCAlarmState has been clarified.
 *   o  atmTrafficDescrParamIndexNext has been introduced
 *      in order to provide a manager a free
 *      atmTrafficDescrParamIndex value.
 *   o  The atmTrafficFrameDiscard capability has been added.
 *   o  A connection topology type (atmVpl/VclCastType) and
 *      a call control type (atmVpl/VclConnKind) have been
 *      added.
 *   o  aal2 has been added to atmVccAalType.
 *
 * Revision 1994-06-07 22:45:
 *   The RFC1695 version of this MIB module.
 *
 * $Id: atm-mib.h 3180 2009-07-29 22:36:13Z schoenw $
 */

#ifndef _ATM_MIB_H_
#define _ATM_MIB_H_

#include "gsnmp.h"

G_BEGIN_DECLS

/*
 * Tables to map enumerations to strings and vice versa.
 */

#define ATM_MIB_ATMINTERFACEADDRESSTYPE_PRIVATE    1
#define ATM_MIB_ATMINTERFACEADDRESSTYPE_NSAPE164   2
#define ATM_MIB_ATMINTERFACEADDRESSTYPE_NATIVEE164 3
#define ATM_MIB_ATMINTERFACEADDRESSTYPE_OTHER      4

extern GNetSnmpEnum const atm_mib_enums_atmInterfaceAddressType[];


/*
 * C type definitions for ATM-MIB::atmInterfaceConfEntry.
 */

#define ATM_MIB_ATMINTERFACEMAXVPCS             (1 << 0) 
#define ATM_MIB_ATMINTERFACEMAXVCCS             (1 << 1) 
#define ATM_MIB_ATMINTERFACECONFVPCS            (1 << 2) 
#define ATM_MIB_ATMINTERFACECONFVCCS            (1 << 3) 
#define ATM_MIB_ATMINTERFACEMAXACTIVEVPIBITS    (1 << 4) 
#define ATM_MIB_ATMINTERFACEMAXACTIVEVCIBITS    (1 << 5) 
#define ATM_MIB_ATMINTERFACEILMIVPI             (1 << 6) 
#define ATM_MIB_ATMINTERFACEILMIVCI             (1 << 7) 
#define ATM_MIB_ATMINTERFACEADDRESSTYPE         (1 << 8) 
#define ATM_MIB_ATMINTERFACEADMINADDRESS        (1 << 9) 
#define ATM_MIB_ATMINTERFACEMYNEIGHBORIPADDRESS (1 << 10) 
#define ATM_MIB_ATMINTERFACEMYNEIGHBORIFNAME    (1 << 11) 
#define ATM_MIB_ATMINTERFACECURRENTMAXVPIBITS   (1 << 12) 
#define ATM_MIB_ATMINTERFACECURRENTMAXVCIBITS   (1 << 13) 
#define ATM_MIB_ATMINTERFACESUBSCRADDRESS       (1 << 14) 

typedef struct {
    gint32   ifIndex;                              /* ro IF-MIB::InterfaceIndex */
    gint32   *atmInterfaceMaxVpcs;                 /* rw */
    gint32   *atmInterfaceMaxVccs;                 /* rw */
    gint32   *atmInterfaceConfVpcs;                /* ro */
    gint32   *atmInterfaceConfVccs;                /* ro */
    gint32   *atmInterfaceMaxActiveVpiBits;        /* rw */
    gint32   *atmInterfaceMaxActiveVciBits;        /* rw */
    gint32   *atmInterfaceIlmiVpi;                 /* rw ATM-TC-MIB::AtmVpIdentifier */
    gint32   *atmInterfaceIlmiVci;                 /* rw ATM-TC-MIB::AtmVcIdentifier */
    gint32   *atmInterfaceAddressType;             /* ro */
    guchar   *atmInterfaceAdminAddress;            /* ro ATM-TC-MIB::AtmAddr */
#define ATM_MIB_ATMINTERFACEADMINADDRESSMINLENGTH 0
#define ATM_MIB_ATMINTERFACEADMINADDRESSMAXLENGTH 40
    guint16  _atmInterfaceAdminAddressLength;
    guchar   *atmInterfaceMyNeighborIpAddress;     /* rw SNMPv2-SMI::IpAddress */
#define ATM_MIB_ATMINTERFACEMYNEIGHBORIPADDRESSLENGTH 4
    guchar   *atmInterfaceMyNeighborIfName;        /* rw SNMPv2-TC::DisplayString */
#define ATM_MIB_ATMINTERFACEMYNEIGHBORIFNAMEMINLENGTH 0
#define ATM_MIB_ATMINTERFACEMYNEIGHBORIFNAMEMAXLENGTH 255
    guint16  _atmInterfaceMyNeighborIfNameLength;
    gint32   *atmInterfaceCurrentMaxVpiBits;       /* ro */
    gint32   *atmInterfaceCurrentMaxVciBits;       /* ro */
    guchar   *atmInterfaceSubscrAddress;           /* rw ATM-TC-MIB::AtmAddr */
#define ATM_MIB_ATMINTERFACESUBSCRADDRESSMINLENGTH 0
#define ATM_MIB_ATMINTERFACESUBSCRADDRESSMAXLENGTH 40
    guint16  _atmInterfaceSubscrAddressLength;
} atm_mib_atmInterfaceConfEntry_t;

extern void
atm_mib_get_atmInterfaceConfTable(GNetSnmp *s, atm_mib_atmInterfaceConfEntry_t ***atmInterfaceConfEntry, gint64 mask, GError **error);

extern void
atm_mib_free_atmInterfaceConfTable(atm_mib_atmInterfaceConfEntry_t **atmInterfaceConfEntry);

extern atm_mib_atmInterfaceConfEntry_t *
atm_mib_new_atmInterfaceConfEntry(void);

extern void
atm_mib_get_atmInterfaceConfEntry(GNetSnmp *s, atm_mib_atmInterfaceConfEntry_t **atmInterfaceConfEntry, gint32 ifIndex, gint64 mask, GError **error);

extern void
atm_mib_set_atmInterfaceConfEntry(GNetSnmp *s, atm_mib_atmInterfaceConfEntry_t *atmInterfaceConfEntry, gint64 mask, GError **error);

extern void
atm_mib_free_atmInterfaceConfEntry(atm_mib_atmInterfaceConfEntry_t *atmInterfaceConfEntry);


G_END_DECLS

#endif /* _ATM_MIB_H_ */
