/*							-- DO NOT EDIT --
 * Generated by smidump version 0.4.8:
 *   smidump -f scli IANA-MAU-MIB
 *
 * Derived from IANA-MAU-MIB:
 *   This MIB module defines dot3MauType OBJECT-IDENTITIES and
 *   IANAifMauListBits, IANAifMauMediaAvailable,
 *   IANAifMauAutoNegCapBits, and IANAifJackType
 *   
 *   TEXTUAL-CONVENTIONs, specifying enumerated values of the
 *   ifMauTypeListBits, ifMauMediaAvailable / rpMauMediaAvailable,
 *   ifMauAutoNegCapabilityBits / ifMauAutoNegCapAdvertisedBits /
 *   ifMauAutoNegCapReceivedBits and ifJackType / rpJackType objects
 *   respectively, defined in the MAU-MIB.
 *   
 *   It is intended that each new MAU type, Media Availability
 *   state, Auto Negotiation capability and/or Jack type defined by
 *   the IEEE 802.3 working group and approved for publication in a
 *   revision of IEEE Std 802.3 will be added to this MIB module,
 *   provided that it is suitable for being managed by the base
 *   objects in the MAU-MIB.  An Expert Review, as defined in
 *   RFC 2434 [RFC2434], is REQUIRED for such additions.
 *   
 *   The following reference is used throughout this MIB module:
 *   
 *   [IEEE802.3] refers to:
 *      IEEE Std 802.3, 2005 Edition: 'IEEE Standard for
 *      Information technology - Telecommunications and information
 *      exchange between systems - Local and metropolitan area
 *      networks - Specific requirements -
 *      Part 3: Carrier sense multiple access with collision
 *      detection (CSMA/CD) access method and physical layer
 *      specifications'.
 *   
 *   This reference should be updated as appropriate when new
 *   MAU types, Media Availability states, Auto Negotiation
 *   capabilities, and/or Jack types are added to this MIB module.
 *   
 *   Copyright (C) The IETF Trust (2007).
 *   The initial version of this MIB module was published in
 *   RFC 4836; for full legal notices see the RFC itself.
 *   Supplementary information may be available at:
 *   http://www.ietf.org/copyrights/ianamib.html
 *
 * Revision 2007-04-21 00:00:
 *   Initial version of this MIB as published in
 *   RFC 4836.
 *
 * $Id$
 */

#include "iana-mau-mib.h"

GNetSnmpEnum const iana_mau_mib_enums_IANAifMauMediaAvailable[] = {
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_OTHER,            "other" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_UNKNOWN,          "unknown" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_AVAILABLE,        "available" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_NOTAVAILABLE,     "notAvailable" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_REMOTEFAULT,      "remoteFault" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_INVALIDSIGNAL,    "invalidSignal" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_REMOTEJABBER,     "remoteJabber" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_REMOTELINKLOSS,   "remoteLinkLoss" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_REMOTETEST,       "remoteTest" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_OFFLINE,          "offline" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_AUTONEGERROR,     "autoNegError" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_PMDLINKFAULT,     "pmdLinkFault" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_WISFRAMELOSS,     "wisFrameLoss" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_WISSIGNALLOSS,    "wisSignalLoss" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_PCSLINKFAULT,     "pcsLinkFault" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_EXCESSIVEBER,     "excessiveBER" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_DXSLINKFAULT,     "dxsLinkFault" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_PXSLINKFAULT,     "pxsLinkFault" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_AVAILABLEREDUCED, "availableReduced" },
    { IANA_MAU_MIB_IANAIFMAUMEDIAAVAILABLE_READY,            "ready" },
    { 0, NULL }
};

GNetSnmpEnum const iana_mau_mib_enums_IANAifJackType[] = {
    { IANA_MAU_MIB_IANAIFJACKTYPE_OTHER,    "other" },
    { IANA_MAU_MIB_IANAIFJACKTYPE_RJ45,     "rj45" },
    { IANA_MAU_MIB_IANAIFJACKTYPE_RJ45S,    "rj45S" },
    { IANA_MAU_MIB_IANAIFJACKTYPE_DB9,      "db9" },
    { IANA_MAU_MIB_IANAIFJACKTYPE_BNC,      "bnc" },
    { IANA_MAU_MIB_IANAIFJACKTYPE_FAUI,     "fAUI" },
    { IANA_MAU_MIB_IANAIFJACKTYPE_MAUI,     "mAUI" },
    { IANA_MAU_MIB_IANAIFJACKTYPE_FIBERSC,  "fiberSC" },
    { IANA_MAU_MIB_IANAIFJACKTYPE_FIBERMIC, "fiberMIC" },
    { IANA_MAU_MIB_IANAIFJACKTYPE_FIBERST,  "fiberST" },
    { IANA_MAU_MIB_IANAIFJACKTYPE_TELCO,    "telco" },
    { IANA_MAU_MIB_IANAIFJACKTYPE_MTRJ,     "mtrj" },
    { IANA_MAU_MIB_IANAIFJACKTYPE_HSSDC,    "hssdc" },
    { IANA_MAU_MIB_IANAIFJACKTYPE_FIBERLC,  "fiberLC" },
    { IANA_MAU_MIB_IANAIFJACKTYPE_CX4,      "cx4" },
    { 0, NULL }
};


static guint32 const dot3MauTypeAUI[]
	= { IANA_MAU_MIB_DOT3MAUTYPEAUI };
static guint32 const dot3MauType10Base5[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10BASE5 };
static guint32 const dot3MauTypeFoirl[]
	= { IANA_MAU_MIB_DOT3MAUTYPEFOIRL };
static guint32 const dot3MauType10Base2[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10BASE2 };
static guint32 const dot3MauType10BaseT[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10BASET };
static guint32 const dot3MauType10BaseFP[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10BASEFP };
static guint32 const dot3MauType10BaseFB[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10BASEFB };
static guint32 const dot3MauType10BaseFL[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10BASEFL };
static guint32 const dot3MauType10Broad36[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10BROAD36 };
static guint32 const dot3MauType10BaseTHD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10BASETHD };
static guint32 const dot3MauType10BaseTFD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10BASETFD };
static guint32 const dot3MauType10BaseFLHD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10BASEFLHD };
static guint32 const dot3MauType10BaseFLFD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10BASEFLFD };
static guint32 const dot3MauType100BaseT4[]
	= { IANA_MAU_MIB_DOT3MAUTYPE100BASET4 };
static guint32 const dot3MauType100BaseTXHD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE100BASETXHD };
static guint32 const dot3MauType100BaseTXFD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE100BASETXFD };
static guint32 const dot3MauType100BaseFXHD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE100BASEFXHD };
static guint32 const dot3MauType100BaseFXFD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE100BASEFXFD };
static guint32 const dot3MauType100BaseT2HD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE100BASET2HD };
static guint32 const dot3MauType100BaseT2FD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE100BASET2FD };
static guint32 const dot3MauType1000BaseXHD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE1000BASEXHD };
static guint32 const dot3MauType1000BaseXFD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE1000BASEXFD };
static guint32 const dot3MauType1000BaseLXHD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE1000BASELXHD };
static guint32 const dot3MauType1000BaseLXFD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE1000BASELXFD };
static guint32 const dot3MauType1000BaseSXHD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE1000BASESXHD };
static guint32 const dot3MauType1000BaseSXFD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE1000BASESXFD };
static guint32 const dot3MauType1000BaseCXHD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE1000BASECXHD };
static guint32 const dot3MauType1000BaseCXFD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE1000BASECXFD };
static guint32 const dot3MauType1000BaseTHD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE1000BASETHD };
static guint32 const dot3MauType1000BaseTFD[]
	= { IANA_MAU_MIB_DOT3MAUTYPE1000BASETFD };
static guint32 const dot3MauType10GigBaseX[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10GIGBASEX };
static guint32 const dot3MauType10GigBaseLX4[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10GIGBASELX4 };
static guint32 const dot3MauType10GigBaseR[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10GIGBASER };
static guint32 const dot3MauType10GigBaseER[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10GIGBASEER };
static guint32 const dot3MauType10GigBaseLR[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10GIGBASELR };
static guint32 const dot3MauType10GigBaseSR[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10GIGBASESR };
static guint32 const dot3MauType10GigBaseW[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10GIGBASEW };
static guint32 const dot3MauType10GigBaseEW[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10GIGBASEEW };
static guint32 const dot3MauType10GigBaseLW[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10GIGBASELW };
static guint32 const dot3MauType10GigBaseSW[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10GIGBASESW };
static guint32 const dot3MauType10GigBaseCX4[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10GIGBASECX4 };
static guint32 const dot3MauType2BaseTL[]
	= { IANA_MAU_MIB_DOT3MAUTYPE2BASETL };
static guint32 const dot3MauType10PassTS[]
	= { IANA_MAU_MIB_DOT3MAUTYPE10PASSTS };
static guint32 const dot3MauType100BaseBX10D[]
	= { IANA_MAU_MIB_DOT3MAUTYPE100BASEBX10D };
static guint32 const dot3MauType100BaseBX10U[]
	= { IANA_MAU_MIB_DOT3MAUTYPE100BASEBX10U };
static guint32 const dot3MauType100BaseLX10[]
	= { IANA_MAU_MIB_DOT3MAUTYPE100BASELX10 };
static guint32 const dot3MauType1000BaseBX10D[]
	= { IANA_MAU_MIB_DOT3MAUTYPE1000BASEBX10D };
static guint32 const dot3MauType1000BaseBX10U[]
	= { IANA_MAU_MIB_DOT3MAUTYPE1000BASEBX10U };
static guint32 const dot3MauType1000BaseLX10[]
	= { IANA_MAU_MIB_DOT3MAUTYPE1000BASELX10 };
static guint32 const dot3MauType1000BasePX10D[]
	= { IANA_MAU_MIB_DOT3MAUTYPE1000BASEPX10D };
static guint32 const dot3MauType1000BasePX10U[]
	= { IANA_MAU_MIB_DOT3MAUTYPE1000BASEPX10U };
static guint32 const dot3MauType1000BasePX20D[]
	= { IANA_MAU_MIB_DOT3MAUTYPE1000BASEPX20D };
static guint32 const dot3MauType1000BasePX20U[]
	= { IANA_MAU_MIB_DOT3MAUTYPE1000BASEPX20U };

GNetSnmpIdentity const iana_mau_mib_identities[] = {
    { dot3MauTypeAUI,
      G_N_ELEMENTS(dot3MauTypeAUI),
      "dot3MauTypeAUI" },
    { dot3MauType10Base5,
      G_N_ELEMENTS(dot3MauType10Base5),
      "dot3MauType10Base5" },
    { dot3MauTypeFoirl,
      G_N_ELEMENTS(dot3MauTypeFoirl),
      "dot3MauTypeFoirl" },
    { dot3MauType10Base2,
      G_N_ELEMENTS(dot3MauType10Base2),
      "dot3MauType10Base2" },
    { dot3MauType10BaseT,
      G_N_ELEMENTS(dot3MauType10BaseT),
      "dot3MauType10BaseT" },
    { dot3MauType10BaseFP,
      G_N_ELEMENTS(dot3MauType10BaseFP),
      "dot3MauType10BaseFP" },
    { dot3MauType10BaseFB,
      G_N_ELEMENTS(dot3MauType10BaseFB),
      "dot3MauType10BaseFB" },
    { dot3MauType10BaseFL,
      G_N_ELEMENTS(dot3MauType10BaseFL),
      "dot3MauType10BaseFL" },
    { dot3MauType10Broad36,
      G_N_ELEMENTS(dot3MauType10Broad36),
      "dot3MauType10Broad36" },
    { dot3MauType10BaseTHD,
      G_N_ELEMENTS(dot3MauType10BaseTHD),
      "dot3MauType10BaseTHD" },
    { dot3MauType10BaseTFD,
      G_N_ELEMENTS(dot3MauType10BaseTFD),
      "dot3MauType10BaseTFD" },
    { dot3MauType10BaseFLHD,
      G_N_ELEMENTS(dot3MauType10BaseFLHD),
      "dot3MauType10BaseFLHD" },
    { dot3MauType10BaseFLFD,
      G_N_ELEMENTS(dot3MauType10BaseFLFD),
      "dot3MauType10BaseFLFD" },
    { dot3MauType100BaseT4,
      G_N_ELEMENTS(dot3MauType100BaseT4),
      "dot3MauType100BaseT4" },
    { dot3MauType100BaseTXHD,
      G_N_ELEMENTS(dot3MauType100BaseTXHD),
      "dot3MauType100BaseTXHD" },
    { dot3MauType100BaseTXFD,
      G_N_ELEMENTS(dot3MauType100BaseTXFD),
      "dot3MauType100BaseTXFD" },
    { dot3MauType100BaseFXHD,
      G_N_ELEMENTS(dot3MauType100BaseFXHD),
      "dot3MauType100BaseFXHD" },
    { dot3MauType100BaseFXFD,
      G_N_ELEMENTS(dot3MauType100BaseFXFD),
      "dot3MauType100BaseFXFD" },
    { dot3MauType100BaseT2HD,
      G_N_ELEMENTS(dot3MauType100BaseT2HD),
      "dot3MauType100BaseT2HD" },
    { dot3MauType100BaseT2FD,
      G_N_ELEMENTS(dot3MauType100BaseT2FD),
      "dot3MauType100BaseT2FD" },
    { dot3MauType1000BaseXHD,
      G_N_ELEMENTS(dot3MauType1000BaseXHD),
      "dot3MauType1000BaseXHD" },
    { dot3MauType1000BaseXFD,
      G_N_ELEMENTS(dot3MauType1000BaseXFD),
      "dot3MauType1000BaseXFD" },
    { dot3MauType1000BaseLXHD,
      G_N_ELEMENTS(dot3MauType1000BaseLXHD),
      "dot3MauType1000BaseLXHD" },
    { dot3MauType1000BaseLXFD,
      G_N_ELEMENTS(dot3MauType1000BaseLXFD),
      "dot3MauType1000BaseLXFD" },
    { dot3MauType1000BaseSXHD,
      G_N_ELEMENTS(dot3MauType1000BaseSXHD),
      "dot3MauType1000BaseSXHD" },
    { dot3MauType1000BaseSXFD,
      G_N_ELEMENTS(dot3MauType1000BaseSXFD),
      "dot3MauType1000BaseSXFD" },
    { dot3MauType1000BaseCXHD,
      G_N_ELEMENTS(dot3MauType1000BaseCXHD),
      "dot3MauType1000BaseCXHD" },
    { dot3MauType1000BaseCXFD,
      G_N_ELEMENTS(dot3MauType1000BaseCXFD),
      "dot3MauType1000BaseCXFD" },
    { dot3MauType1000BaseTHD,
      G_N_ELEMENTS(dot3MauType1000BaseTHD),
      "dot3MauType1000BaseTHD" },
    { dot3MauType1000BaseTFD,
      G_N_ELEMENTS(dot3MauType1000BaseTFD),
      "dot3MauType1000BaseTFD" },
    { dot3MauType10GigBaseX,
      G_N_ELEMENTS(dot3MauType10GigBaseX),
      "dot3MauType10GigBaseX" },
    { dot3MauType10GigBaseLX4,
      G_N_ELEMENTS(dot3MauType10GigBaseLX4),
      "dot3MauType10GigBaseLX4" },
    { dot3MauType10GigBaseR,
      G_N_ELEMENTS(dot3MauType10GigBaseR),
      "dot3MauType10GigBaseR" },
    { dot3MauType10GigBaseER,
      G_N_ELEMENTS(dot3MauType10GigBaseER),
      "dot3MauType10GigBaseER" },
    { dot3MauType10GigBaseLR,
      G_N_ELEMENTS(dot3MauType10GigBaseLR),
      "dot3MauType10GigBaseLR" },
    { dot3MauType10GigBaseSR,
      G_N_ELEMENTS(dot3MauType10GigBaseSR),
      "dot3MauType10GigBaseSR" },
    { dot3MauType10GigBaseW,
      G_N_ELEMENTS(dot3MauType10GigBaseW),
      "dot3MauType10GigBaseW" },
    { dot3MauType10GigBaseEW,
      G_N_ELEMENTS(dot3MauType10GigBaseEW),
      "dot3MauType10GigBaseEW" },
    { dot3MauType10GigBaseLW,
      G_N_ELEMENTS(dot3MauType10GigBaseLW),
      "dot3MauType10GigBaseLW" },
    { dot3MauType10GigBaseSW,
      G_N_ELEMENTS(dot3MauType10GigBaseSW),
      "dot3MauType10GigBaseSW" },
    { dot3MauType10GigBaseCX4,
      G_N_ELEMENTS(dot3MauType10GigBaseCX4),
      "dot3MauType10GigBaseCX4" },
    { dot3MauType2BaseTL,
      G_N_ELEMENTS(dot3MauType2BaseTL),
      "dot3MauType2BaseTL" },
    { dot3MauType10PassTS,
      G_N_ELEMENTS(dot3MauType10PassTS),
      "dot3MauType10PassTS" },
    { dot3MauType100BaseBX10D,
      G_N_ELEMENTS(dot3MauType100BaseBX10D),
      "dot3MauType100BaseBX10D" },
    { dot3MauType100BaseBX10U,
      G_N_ELEMENTS(dot3MauType100BaseBX10U),
      "dot3MauType100BaseBX10U" },
    { dot3MauType100BaseLX10,
      G_N_ELEMENTS(dot3MauType100BaseLX10),
      "dot3MauType100BaseLX10" },
    { dot3MauType1000BaseBX10D,
      G_N_ELEMENTS(dot3MauType1000BaseBX10D),
      "dot3MauType1000BaseBX10D" },
    { dot3MauType1000BaseBX10U,
      G_N_ELEMENTS(dot3MauType1000BaseBX10U),
      "dot3MauType1000BaseBX10U" },
    { dot3MauType1000BaseLX10,
      G_N_ELEMENTS(dot3MauType1000BaseLX10),
      "dot3MauType1000BaseLX10" },
    { dot3MauType1000BasePX10D,
      G_N_ELEMENTS(dot3MauType1000BasePX10D),
      "dot3MauType1000BasePX10D" },
    { dot3MauType1000BasePX10U,
      G_N_ELEMENTS(dot3MauType1000BasePX10U),
      "dot3MauType1000BasePX10U" },
    { dot3MauType1000BasePX20D,
      G_N_ELEMENTS(dot3MauType1000BasePX20D),
      "dot3MauType1000BasePX20D" },
    { dot3MauType1000BasePX20U,
      G_N_ELEMENTS(dot3MauType1000BasePX20U),
      "dot3MauType1000BasePX20U" },
    { 0, 0, NULL }
};


